<?php

namespace Drupal\yasm_charts\Utility;

/**
 * Yasm charts messages trait.
 */
trait YasmChartsMessagesTrait {

  /**
   * Check if data and chart library is available and notifi user if not.
   */
  public function isChartAvailable($build, $library) {
    $available = TRUE;

    if (!isset($build['data']['#charts']) || empty($build['data']['#charts'])) {
      $this->messenger->addWarning($this->t('No data available for charts.'));
      $available = FALSE;
    }

    if (empty($library)) {
      $this->messenger->addError($this->t('To display charts first needs to configure <a href="@link">charts settings</a>.', [
        '@link' => '/admin/config/content/charts',
      ]));
      $available = FALSE;
    }

    return $available;
  }

}
